import { ProtoResponse } from "../response";
import { iValue } from "../interfaces/ivalue";
import { HttpResponse } from "../http/http-response";
import { ValuePromise } from "../value-promise";
import { iResponse } from "../interfaces/iresponse";
export declare class HeadersResponse extends ProtoResponse implements iResponse {
    init(httpResponse: HttpResponse): void;
    find(key: string): ValuePromise;
    findAll(key: string): Promise<iValue<any>[]>;
}
