"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeadersScenario = void 0;
const headers_response_1 = require("./headers-response");
const needle_1 = require("../http/needle");
const scenario_1 = require("../scenario");
class HeadersScenario extends scenario_1.ProtoScenario {
    constructor() {
        super(...arguments);
        this.adapter = needle_1.fetchWithNeedle;
        this.response = new headers_response_1.HeadersResponse(this);
        this.typeName = "Headers";
    }
    _executeHttpRequest() {
        this.setMethod("head");
        super._executeHttpRequest();
    }
}
exports.HeadersScenario = HeadersScenario;
//# sourceMappingURL=headers-scenario.js.map