export declare type CompareCallback = (a: any, b: any) => number;
export declare type JsFunction = string | (() => any);
export declare type ClassConstructor<T> = {
    new (...args: any[]): T;
};
export declare type OptionalXY = {
    x?: number;
    y?: number;
};
export interface iCallbackAndMessage {
    message: string;
    callback: Function;
}
export declare type KeyValue = {
    [key: string]: any;
};
