export declare type PointerButton = "default" | "left" | "right" | "middle";
export declare type PointerDisposition = "down" | "up";
export declare type PointerType = "default" | "mouse" | "pen" | "touch";
export declare type PointerPoint = [x: number, y: number];
export declare type PointerClick = {
    duration?: number;
    count?: number;
    delay?: number;
    type?: PointerType;
};
export interface PointerMove {
    start: PointerPoint;
    end?: PointerPoint;
    duration?: number;
    type?: PointerType;
    disposition?: {
        start: PointerDisposition;
        end: PointerDisposition;
    };
    button?: PointerButton;
}
