import { iHttpResponse } from "./http";
export declare type ResponseSyncPipe = (resp: iHttpResponse) => void | iHttpResponse;
export declare type ResponseAsyncPipe = (resp: iHttpResponse) => Promise<void | iHttpResponse>;
export declare type ResponsePipe = ResponseSyncPipe | ResponseAsyncPipe;
export declare type ResponsePipeCallbackAndMessage = {
    message: string;
    callback: ResponsePipe;
};
