import { ProtoResponse } from "../response";
import { HttpResponse } from "../http/http-response";
import { iResponse } from "../interfaces/iresponse";
import { ValuePromise } from "../value-promise";
import { JPathProvider, JsonDoc } from "./jpath";
import { iValue } from "..";
export declare class JsonResponse extends ProtoResponse implements iResponse, JPathProvider {
    jsonDoc: JsonDoc | undefined;
    init(httpResponse: HttpResponse): void;
    getRoot(): any;
    find: (path: string) => ValuePromise;
    findAll: (path: string) => Promise<iValue<any>[]>;
}
