/// <reference types="node" />
import { URL } from "url";
export declare class Link {
    protected uri: string;
    protected baseUrl: URL;
    protected _qs: any;
    constructor(uri: string, baseUrl: URL);
    getUri(): string;
    setQueryString(qs: any): void;
    isValidDataUri(): boolean;
    isData(): boolean;
    isAnchor(): boolean;
    isEmail(): boolean;
    isPhone(): boolean;
    isTextMessage(): boolean;
    isGeo(): boolean;
    isScript(): boolean;
    isAppStore(): boolean;
    isFtp(): boolean;
    isNavigation(): boolean;
}
