import { iSuite } from "../interfaces/isuite";
import { iConsoleLine } from "../interfaces/iconsole-log";
export declare class FlagpoleReport {
    readonly suite: iSuite;
    constructor(suite: iSuite);
    toConsole(): Promise<iConsoleLine[]>;
    toJson(): Promise<any>;
    toHTML(): Promise<string>;
    toXML(): Promise<string>;
    toCI(): Promise<string>;
    toDelimited(format: string): Promise<string[]>;
    print(): Promise<any>;
    toString(): Promise<string>;
    private cleanXMLCharacters;
}
