"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogCollection = void 0;
class LogCollection {
    constructor() {
        this._logItems = [];
    }
    get items() {
        return this._logItems;
    }
    add(item) {
        if (item && Reflect.has(item, "className")) {
            this._logItems.push(item);
            return;
        }
        throw new TypeError(`Not a log item: ${item}`);
    }
}
exports.LogCollection = LogCollection;
//# sourceMappingURL=log-collection.js.map