import { iConsoleLine, LineType } from "../interfaces/iconsole-log";
import { iLogItem } from "../interfaces/ilog-item";
export declare abstract class LogItem implements iLogItem {
    abstract readonly type: LineType;
    abstract readonly className: string;
    get passed(): boolean;
    get failed(): boolean;
    get isOptional(): boolean;
    readonly message: string;
    readonly timestamp: Date;
    constructor(message: string);
    toString(): string;
    toConsole(): iConsoleLine[];
    toHtml(): string;
    toJson(): any;
    toCsv(): string;
    toTsv(): string;
    toPsv(): string;
}
