"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HlsScenario = void 0;
const scenario_1 = require("../scenario");
const hls_response_1 = require("./hls-response");
const needle_1 = require("../http/needle");
class HlsScenario extends scenario_1.ProtoScenario {
    constructor() {
        super(...arguments);
        this.adapter = needle_1.fetchWithNeedle;
        this.response = new hls_response_1.HlsResponse(this);
        this.typeName = "HLS Manifest";
    }
}
exports.HlsScenario = HlsScenario;
//# sourceMappingURL=hls-scenario.js.map