"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResourceResponse = void 0;
const response_1 = require("../response");
class ResourceResponse extends response_1.ProtoResponse {
    find() {
        throw new Error("Generic Response does not support find");
    }
    findAll() {
        return __awaiter(this, void 0, void 0, function* () {
            throw new Error("Generic Response does not support findAll");
        });
    }
}
exports.ResourceResponse = ResourceResponse;
//# sourceMappingURL=resource-response.js.map