import { iSuite } from "./interfaces/isuite";
import { ScenarioType } from "./scenario-types";
import { ClassConstructor, KeyValue } from "./interfaces/generic-types";
import { iScenario, ScenarioConstructor } from "./interfaces/iscenario";
export declare const ScenarioTypeMap: {
    [type in ScenarioType]: ScenarioConstructor;
};
export declare const createScenario: <T extends iScenario>(suite: iSuite, title: string, type: ScenarioType | ClassConstructor<T>, opts: KeyValue) => T;
