"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageScenario = void 0;
const image_response_1 = require("./image-response");
const scenario_1 = require("../scenario");
const image_adapter_1 = require("./image-adapter");
class ImageScenario extends scenario_1.ProtoScenario {
    constructor() {
        super(...arguments);
        this.adapter = image_adapter_1.fetchImageWithNeedle;
        this.response = new image_response_1.ImageResponse(this);
        this.typeName = "Image";
    }
}
exports.ImageScenario = ImageScenario;
//# sourceMappingURL=image-scenario.js.map