"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AtomScenario = void 0;
const needle_1 = require("../http/needle");
const scenario_1 = require("../scenario");
const atom_response_1 = require("./atom-response");
class AtomScenario extends scenario_1.ProtoScenario {
    constructor() {
        super(...arguments);
        this.adapter = needle_1.fetchWithNeedle;
        this.response = new atom_response_1.AtomResponse(this);
        this.typeName = "Atom";
    }
}
exports.AtomScenario = AtomScenario;
//# sourceMappingURL=atom-scenario.js.map