"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RssScenario = void 0;
const needle_1 = require("../http/needle");
const scenario_1 = require("../scenario");
const rss_response_1 = require("./rss-response");
class RssScenario extends scenario_1.ProtoScenario {
    constructor() {
        super(...arguments);
        this.adapter = needle_1.fetchWithNeedle;
        this.response = new rss_response_1.RssResponse(this);
        this.typeName = "RSS";
    }
}
exports.RssScenario = RssScenario;
//# sourceMappingURL=rss-scenario.js.map