import { HttpResponse } from "../http/http-response";
import { HtmlResponse } from "../html/html-response";
import { ValuePromise } from "../value-promise";
import { iResponse, iValue } from "..";
import { FindAllOptions, FindOptions } from "../interfaces/find-options";
export declare class XmlResponse extends HtmlResponse implements iResponse {
    init(httpResponse: HttpResponse): void;
    private normalizeSelector;
    find(selector: string, a?: string | RegExp | FindOptions, b?: FindOptions): ValuePromise;
    findAll(selector: string, a?: string | RegExp | FindAllOptions, b?: FindAllOptions): Promise<iValue[]>;
}
