import { AppiumResponse } from "./appium-response";
import { ProtoScenario } from "../scenario";
import { ClassConstructor, KeyValue } from "../interfaces/generic-types";
import { iSuite } from "../interfaces/isuite";
export declare class AppiumScenario extends ProtoScenario {
    readonly suite: iSuite;
    readonly title: string;
    readonly type: ClassConstructor<AppiumScenario>;
    readonly adapter: import("../interfaces/http").HttpAdapter;
    readonly response: AppiumResponse;
    readonly typeName = "Appium";
    constructor(suite: iSuite, title: string, type: ClassConstructor<AppiumScenario>, opts: KeyValue);
}
