import { iAssertion } from "../interfaces/iassertion";
export declare class AssertionPromise extends Promise<iAssertion> implements PromiseLike<iAssertion> {
    constructor(executor: (resolve: (value?: iAssertion | PromiseLike<iAssertion>) => void, reject: (reason?: any) => void) => void);
    get and(): AssertionPromise;
    equals(value: any): AssertionPromise;
    exactly(value: any): AssertionPromise;
    like(value: any): AssertionPromise;
    contains(value: any): AssertionPromise;
    greaterThan(value: any): AssertionPromise;
    lessThan(value: any): AssertionPromise;
    greaterThanOrEquals(value: any): AssertionPromise;
    lessThanOrEquals(value: any): AssertionPromise;
    between(min: any, max: any): AssertionPromise;
    matches(value: any): AssertionPromise;
    startsWith(value: any): AssertionPromise;
    endsWith(value: any): AssertionPromise;
    continains(values: any[]): AssertionPromise;
    includes(value: any): AssertionPromise;
}
