import prompts = require("prompts");
export declare function printHeader(alwaysPrint?: boolean): void;
export declare function printOldHeader(): void;
export declare function printSubheader(heading: string): void;
export declare function printLine(...messages: string[]): void;
export declare function findDetachedSuites(): string[];
export declare function findJsFilesInTestFolder(): string[];
export declare function trimInput(input: string): string;
export declare function stringArrayToPromptChoices(arr: string[]): prompts.Choice[];
export declare function promptTextName(name: string, message: string, initial?: string): prompts.PromptObject<string>;
export declare function promptUrl(name: string, message: string, initial?: string): prompts.PromptObject<string>;
export declare function promptTextPath(name: string, message: string, initial?: string): prompts.PromptObject<string>;
export declare function promptTextDescription(name: string, message: string, initial?: string): prompts.PromptObject<string>;
export declare function promptMultiSelect(name: string, message: string, choices: prompts.Choice[], minSelections?: number, maxSeletions?: number): prompts.PromptObject<string>;
export declare function promptSelect(name: string, message: string, choices: prompts.Choice[], initial?: number): prompts.PromptObject<string>;
export declare function promptConfirm(name: string, message: string, initial?: boolean): prompts.PromptObject<string>;
export declare function promptToggle(name: string, message: string, initial?: boolean, yesText?: string, noText?: string): prompts.PromptObject<string>;
export declare function promptList(name: string, message: string): prompts.PromptObject<string>;
