"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeadersResponse = void 0;
const response_1 = require("../response");
const value_promise_1 = require("../value-promise");
class HeadersResponse extends response_1.ProtoResponse {
    init(httpResponse) {
        super.init(httpResponse);
    }
    find(key) {
        return value_promise_1.ValuePromise.execute(() => __awaiter(this, void 0, void 0, function* () {
            return this.header(key);
        }));
    }
    findAll(key) {
        return __awaiter(this, void 0, void 0, function* () {
            return [this.header(key)];
        });
    }
}
exports.HeadersResponse = HeadersResponse;
//# sourceMappingURL=headers-response.js.map