"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HtmlScenario = void 0;
const needle_1 = require("../http/needle");
const scenario_1 = require("../scenario");
const html_response_1 = require("./html-response");
class HtmlScenario extends scenario_1.ProtoScenario {
    constructor() {
        super(...arguments);
        this.adapter = needle_1.fetchWithNeedle;
        this.response = new html_response_1.HtmlResponse(this);
        this.typeName = "HTML";
    }
}
exports.HtmlScenario = HtmlScenario;
//# sourceMappingURL=html-scenario.js.map