export declare type SyncMapperCallback = (value: any, index?: number, arr?: any[]) => any;
export declare type SyncIteratorCallback = (value: any, index: number, arr: any[]) => any;
export declare type SyncIteratorBoolCallback = (value: any, i?: number, arr?: any[]) => boolean;
export declare type SyncReducerCallback = (prev: any, cur: any, i: number, arr: any[]) => any;
export declare type AsyncMapperCallback = (value: any, index?: number, arr?: any[]) => Promise<any>;
export declare type AsyncIteratorCallback = (value: any, index: number, arr: any[]) => Promise<any>;
export declare type AsyncIteratorBoolCallback = (value: any, i?: number, arr?: any[]) => Promise<boolean>;
export declare type AsyncReducerCallback = (prev: any, cur: any, i: number, arr: any[]) => Promise<any>;
export declare type MapperCallback = SyncMapperCallback | AsyncMapperCallback;
export declare type IteratorCallback = SyncIteratorCallback | AsyncIteratorCallback;
export declare type IteratorBoolCallback = SyncIteratorBoolCallback | AsyncIteratorBoolCallback;
export declare type ReducerCallback = SyncReducerCallback | AsyncReducerCallback;
