import { iValue } from "../interfaces/ivalue";
import { ValuePromise } from "../value-promise";
import { iResponse } from "../interfaces/iresponse";
export declare class JsonDoc {
    jsonRoot: any;
    get root(): any;
    constructor(jsonRoot: any);
    search: (path: string) => Promise<any>;
}
export interface JPathProvider {
    jsonDoc: JsonDoc | undefined;
}
export declare const jpathSearch: (input: any, path: string) => any;
export declare const jpathFindAll: (self: JPathProvider & iResponse, path: string) => Promise<iValue[]>;
export declare const jpathFind: (self: JPathProvider & iResponse, path: string) => ValuePromise;
