import { LogItem } from "./log-item";
import { iConsoleLine, LineType } from "../interfaces/iconsole-log";
export declare class LogSuiteHeading extends LogItem {
    readonly type: LineType;
    readonly className = "heading";
    toHtml(): string;
}
export declare class LogScenarioHeading extends LogSuiteHeading {
    readonly type = LineType.h2;
    toHtml(): string;
    toConsole(): iConsoleLine[];
}
export declare class LogScenarioSubHeading extends LogSuiteHeading {
    readonly type = LineType.h3;
    toHtml(): string;
    toConsole(): iConsoleLine[];
}
