"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FfprobeScenario = void 0;
const scenario_1 = require("../scenario");
const ffprobe_response_1 = require("./ffprobe-response");
const ffprobe_adapter_1 = require("./ffprobe-adapter");
class FfprobeScenario extends scenario_1.ProtoScenario {
    constructor() {
        super(...arguments);
        this.adapter = ffprobe_adapter_1.fetchWithFfprobe;
        this.response = new ffprobe_response_1.FfprobeResponse(this);
        this.typeName = "FFprobe";
    }
}
exports.FfprobeScenario = FfprobeScenario;
//# sourceMappingURL=ffprobe-scenario.js.map