import { HttpResponse } from "../http/http-response";
import { ValuePromise } from "../value-promise";
import { JPathProvider, JsonDoc } from "../json/jpath";
import { MediaResponse } from "./media-response";
import { iValue } from "..";
export declare class HlsResponse extends MediaResponse implements JPathProvider {
    jsonDoc: JsonDoc | undefined;
    protected _mimePattern: RegExp;
    get jsonBody(): iValue;
    protected get isM3U8(): boolean;
    init(httpResponse: HttpResponse): void;
    find: (path: string) => ValuePromise;
    findAll: (path: string) => Promise<iValue[]>;
}
