import { iResponse } from "../interfaces/iresponse";
import { ProtoResponse } from "../response";
import { HttpResponse } from "../http/http-response";
import { ValuePromise } from "../value-promise";
export declare abstract class MediaResponse extends ProtoResponse implements iResponse {
    protected abstract _mimePattern: RegExp;
    protected get extension(): string;
    init(httpResponse: HttpResponse): void;
    find(path: string): ValuePromise;
    findAll(path: string): Promise<any[]>;
    protected _assertStatusCode(): void;
    protected _assertMimeType(): void;
}
