"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MediaStreamValidatorScenario = void 0;
const scenario_1 = require("../scenario");
const media_stream_validator_response_1 = require("./media-stream-validator-response");
const media_stream_validator_adapter_1 = require("./media-stream-validator-adapter");
class MediaStreamValidatorScenario extends scenario_1.ProtoScenario {
    constructor() {
        super(...arguments);
        this.adapter = media_stream_validator_adapter_1.fetchWithMediaStreamValidator;
        this.response = new media_stream_validator_response_1.MediaStreamValidatorResponse(this);
        this.typeName = "MediaStreamValidator";
    }
}
exports.MediaStreamValidatorScenario = MediaStreamValidatorScenario;
//# sourceMappingURL=media-stream-validator-scenario.js.map