"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResourceScenario = void 0;
const needle_1 = require("../http/needle");
const scenario_1 = require("../scenario");
const resource_response_1 = require("./resource-response");
class ResourceScenario extends scenario_1.ProtoScenario {
    constructor() {
        super(...arguments);
        this.adapter = needle_1.fetchWithNeedle;
        this.response = new resource_response_1.ResourceResponse(this);
        this.typeName = "Generic Resource";
    }
}
exports.ResourceScenario = ResourceScenario;
//# sourceMappingURL=resource-scenario.js.map