import { HttpAdapter } from "../interfaces/http";
import { KeyValue } from "../interfaces/generic-types";
export interface probeImageResponse {
    headers: KeyValue;
    statusCode: number;
    url: string;
    length: number;
    imageData: probeImageData;
}
export declare type probeImageData = {
    width: number;
    height: number;
    type: string;
    mimeType: string;
};
export declare const fetchImageWithNeedle: HttpAdapter;
