/// <reference types="node" />
import { iAssertionContext } from "../interfaces/iassertioncontext";
export declare class ImageCompare {
    private _context;
    private _inputImage;
    private _control;
    private _controlImage;
    private _autoCreateIfNotExists;
    constructor(context: iAssertionContext, input: Buffer | string, control: Buffer | string);
    compare(opts: {}): {
        pixelsDifferent: number;
        percentDifferent: number;
        diffPath: string | null;
    };
    private _writeDiffFile;
    private _createControlImageIfNotExists;
    private _getImage;
}
