"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XmlScenario = void 0;
const needle_1 = require("../http/needle");
const scenario_1 = require("../scenario");
const xml_response_1 = require("./xml-response");
class XmlScenario extends scenario_1.ProtoScenario {
    constructor() {
        super(...arguments);
        this.adapter = needle_1.fetchWithNeedle;
        this.response = new xml_response_1.XmlResponse(this);
        this.typeName = "XML";
    }
}
exports.XmlScenario = XmlScenario;
//# sourceMappingURL=xml-scenario.js.map